virtualbox

15 odgovora [Poslednji unos]
DrLove73
Slika korisnika DrLove73
Offline
User
Član od: 29/05/2006

Meni na CentOS-u VirtualBox (ako se dobro secam) sam prepozna novi kernel i odradi setup. A i cak ako to i ne uradi, prijavice da mora da se odradi gore pomenuta funkcija, tako da i nije neki bauk.

U vbox grupu se zbog bezbednosti ne ubacuju automatski korisnici, posto VirtualBox moze da se koristi na serveru sa par stotina/hiljada korisnika, pa da ne mogu svi da prckaju.

zokypoky
Slika korisnika zokypoky
Offline
User
Član od: 06/05/2009

Isto i meni odradi na Fedori i openSUSE-u, ali to početnike istraumira. Sećam se prvi puta na SUSE-u od kada sam počeo da koristim VirtualBox, nakon apdejta, ispade mi obaveštenje da moram nešto da pokrenem, kako bi isti mogao dalje da radi. Trebao mije hitno, pa u ljutini rekoh "koj` ti je sad ....c, kad si do sada radio!". Naravno da je bilo sve u redu nakon pokretanja skripte, ali se o`ladih od iznenađenja. Dotle sam koristio VMWare (isto je i on to zahtevao u starijim verzijama <6) i on me razmazio, jer to sam autoamtski radi.

Ovo definitivno nije bag, ali nešto što je predvidivo, pa može da se predupredi od strane Sun-a (ili Oracle-a). Nadajmo se boljem u narednim verzijama.

zokypoky
Slika korisnika zokypoky
Offline
User
Član od: 06/05/2009

Quote:

U vbox grupu se zbog bezbednosti ne ubacuju automatski korisnici, posto VirtualBox moze da se koristi na serveru sa par stotina/hiljada korisnika, pa da ne mogu svi da prckaju.

100% si u pravu, ali može da pita koje user-e (prošli puta sam napisao "usere", a nisam mislio na to...), želimo dodati u grupu vbox na kraju instalacije. Ali dobro navikli smo se na ovo.

Ne znam kako je na Windozi, nisam probao.

Na Ubuntu mislim da se drugačije ponaša i da tekućeg user-a odmah stavi u vbox.

DrLove73
Slika korisnika DrLove73
Offline
User
Član od: 29/05/2006

Postoje "kmod" nacin za pakovanje kernel modula koji koristi "weak-update" nacin linkovanja module za svaki sledeci kernel. Samo se za novi kernel linkuju stari .so fajlovi u "weak-update" folderu i to je to, automatski radi.

Ali mozda bas namerno nece da samo prekose postojece module posto je VirtualBox pod "teskim" razvojem, pa se nove stvari stalno pojavljuju.

zokypoky
Slika korisnika zokypoky
Offline
User
Član od: 06/05/2009

Ima razloga naravno,
Ja radim sa 3.0.12, a na on mi predlaže apgrejd na 3.1.x. Ovo što sada koristim sam skinuo pre mesec dana, a gledaj sad gde stigoše!

To je to, što kažeš 100%